ExceptionConfig (Struts 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.config
Class ExceptionConfig

    java.lang.Object
      org.apache.struts.config.BaseConfig
          org.apache.struts.config.ExceptionConfig

All Implemented Interfaces:
  Serializable

    public class ExceptionConfig

extends BaseConfig

A JavaBean representing the configuration information of an `<exception>` element from a Struts configuration file.

Since:
  Struts 1.1
Version:
  $Rev: 471754 $ $Date: 2005-08-06 18:03:30 -0400 (Sat, 06 Aug 2005) $
See Also:
  Serialized Form

Field Summary
`protected String` | `bundle` The servlet context attribute under which the message resources bundle to be used for this exception is located.
`protected boolean` | `extensionProcessed` Have the inheritance values for this class been applied?
`protected String` | `handler` The fully qualified Java class name of the exception handler class which should be instantiated to handle this exception.
`protected String` | `inherit` The type of the ExceptionConfig that this object should inherit properties from.
`protected String` | `key` The message resources key specifying the error message associated with this exception.
`protected String` | `path` The module-relative path of the resource to forward to if this exception occurs during an `Action`.
`protected String` | `scope` The scope in which we should expose the ActionMessage for this exception handler.
`protected String` | `type` The fully qualified Java class name of the exception that is to be handled by this handler.

Fields inherited from class org.apache.struts.config.BaseConfig
`configured`

Constructor Summary
`ExceptionConfig()`

Method Summary
`protected boolean` | `checkCircularInheritance(ModuleConfig moduleConfig, ActionConfig actionConfig)` Traces the hierarchy of this object to check if any of the ancestors are extending this instance.
`String` | `getBundle()`
`String` | `getExtends()`
`String` | `getHandler()`
`String` | `getKey()`
`String` | `getPath()`
`String` | `getScope()`
`String` | `getType()`
`void` | `inheritFrom(ExceptionConfig config)` Inherit values that have not been overridden from the provided config object.
`boolean` | `isExtensionProcessed()`
`void` | `processExtends(ModuleConfig moduleConfig, ActionConfig actionConfig)` Inherit configuration information from the ExceptionConfig that this instance is extending.
`void` | `setBundle(String bundle)`
`void` | `setExtends(String inherit)`
`void` | `setHandler(String handler)`
`void` | `setKey(String key)`
`void` | `setPath(String path)`
`void` | `setScope(String scope)`
`void` | `setType(String type)`
`String` | `toString()` Return a String representation of this object.

Methods inherited from class org.apache.struts.config.BaseConfig
`copyProperties, freeze, getProperties, getProperty, inheritProperties, setProperties, setProperty, throwIfConfigured`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### bundle

    protected String bundle

  The servlet context attribute under which the message resources bundle to be used for this exception is located. If not set, the default message resources for the current module is assumed.

### inherit

    protected String inherit

  The type of the ExceptionConfig that this object should inherit properties from.

### extensionProcessed

    protected boolean extensionProcessed

  Have the inheritance values for this class been applied?

### handler

    protected String handler

  The fully qualified Java class name of the exception handler class which should be instantiated to handle this exception.

### key

    protected String key

  The message resources key specifying the error message associated with this exception.

### path

    protected String path

  The module-relative path of the resource to forward to if this exception occurs during an `Action`.

### scope

    protected String scope

  The scope in which we should expose the ActionMessage for this exception handler.

### type

    protected String type

  The fully qualified Java class name of the exception that is to be handled by this handler.

Constructor Detail

### ExceptionConfig

    public ExceptionConfig()

Method Detail

### getBundle

    public String getBundle()

### setBundle

    public void setBundle(String bundle)

### getExtends

    public String getExtends()

### setExtends

    public void setExtends(String inherit)

### isExtensionProcessed

    public boolean isExtensionProcessed()

### getHandler

    public String getHandler()

### setHandler

    public void setHandler(String handler)

### getKey

    public String getKey()

### setKey

    public void setKey(String key)

### getPath

    public String getPath()

### setPath

    public void setPath(String path)

### getScope

    public String getScope()

### setScope

    public void setScope(String scope)

### getType

    public String getType()

### setType

    public void setType(String type)

### checkCircularInheritance

    protected boolean checkCircularInheritance(ModuleConfig moduleConfig,
                                               ActionConfig actionConfig)

  Traces the hierarchy of this object to check if any of the ancestors are extending this instance.

  Parameters:
    `moduleConfig` - The `ModuleConfig` that this config is from.
    `actionConfig` - The `ActionConfig` that this config is from, if applicable. This parameter must be null if this is a global handler.
  Returns:
    true if circular inheritance was detected.

### inheritFrom

    public void inheritFrom(ExceptionConfig config)
                     throws ClassNotFoundException,
                            IllegalAccessException,
                            InstantiationException,
                            InvocationTargetException

  Inherit values that have not been overridden from the provided config object. Subclasses overriding this method should verify that the given parameter is of a class that contains a property it is trying to inherit:

       if (config instanceof MyCustomConfig) {
           MyCustomConfig myConfig =
               (MyCustomConfig) config;

           if (getMyCustomProp() == null) {
               setMyCustomProp(myConfig.getMyCustomProp());
           }
       }

  If the given `config` is extending another object, those extensions should be resolved before it's used as a parameter to this method.

  Parameters:
    `config` - The object that this instance will be inheriting its values from.
  Throws:
    `ClassNotFoundException`
    `IllegalAccessException`
    `InstantiationException`
    `InvocationTargetException`
  See Also:
    `processExtends(ModuleConfig, ActionConfig)`

### processExtends

    public void processExtends(ModuleConfig moduleConfig,
                               ActionConfig actionConfig)
                        throws ClassNotFoundException,
                               IllegalAccessException,
                               InstantiationException,
                               InvocationTargetException

  Inherit configuration information from the ExceptionConfig that this instance is extending. This method verifies that any exception config object that it inherits from has also had its processExtends() method called.

  Parameters:
    `moduleConfig` - The `ModuleConfig` that this config is from.
    `actionConfig` - The `ActionConfig` that this config is from, if applicable. This must be null for global forwards.
  Throws:
    `ClassNotFoundException`
    `IllegalAccessException`
    `InstantiationException`
    `InvocationTargetException`
  See Also:
    `inheritFrom(ExceptionConfig)`

### toString

    public String toString()

  Return a String representation of this object.

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.